MDVA-34474: a atualização da lista de requisições da API resulta em erro

O patch MDVA-34474 corrige o problema em que adicionar um produto à lista de requisições usando a API resulta em erro. Este patch está disponível quando a variável Ferramenta de correções de qualidade (QPT) O 1.0.19 está instalado. A ID do patch é MDVA-34474. Observe que o problema foi corrigido no Adobe Commerce 2.4.3.

Produtos e versões afetados

O patch é criado para a versão do Adobe Commerce:

Adobe Commerce na infraestrutura em nuvem 2.4.0

Compatível com as versões do Adobe Commerce:

Adobe Commerce no local e Adobe Commerce na infraestrutura em nuvem 2.3.0 - 2.4.2

NOTE
O patch pode se tornar aplicável a outras versões com as novas versões da Ferramenta de patches de qualidade. Para verificar se o patch é compatível com sua versão do Adobe Commerce, atualize o magento/quality-patches pacote para a versão mais recente e verifique a compatibilidade no Quality Patches Tool: Página Procurar patches. Use a ID do patch como palavra-chave de pesquisa para localizar o patch.

Problema

A adição de um produto à lista de requisições usando a API resulta em erro.

Etapas a serem reproduzidas:

  1. Ativar lista de requisições no Administrador (Lojas > Configuração > Geral > Recursos B2B > Ativar Lista de Requisições = Sim).
  2. Crie um cliente.
  3. Criar uma nova lista de requisições para esta chamada de envio do cliente json POST rest/all/V1/requisition_lists com a carga json anexada.

Resultados esperados:

Sem erros, e a lista é criada.

Resultados reais:

Erro 400.

{"message":"Could not save Requisition List"}

Aplicar o patch

Para aplicar patches individuais, use os links a seguir, dependendo do método de implantação:

Leitura relacionada

Para saber mais sobre a Ferramenta de correção de qualidade, consulte:

Para obter informações sobre outros patches disponíveis no QPT, consulte o Patches disponíveis no QPT seção.

recommendation-more-help
8bd06ef0-b3d5-4137-b74e-d7b00485808a